> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List product variant fields

> Developer API operation for GET /dev/v1/products/{id}/variants/fields.



## OpenAPI

````yaml /openapi.json get /dev/v1/products/{id}/variants/fields
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/products/{id}/variants/fields:
    get:
      tags:
        - Products
      summary: List product variant fields
      description: Developer API operation for GET /dev/v1/products/{id}/variants/fields.
      operationId: getDevV1ProductsByIdVariantsFields
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
                example:
                  data:
                    - id: field_1
                      name: Region
                      type: select
                      required: true
                      placeholder: null
                      default_value: null
                      sort_order: 0
                      options:
                        - id: option_1
                          label: Europe
                          value: eu
                          sort_order: 0
                          created_at: 1711953600
                          updated_at: 1711953900
                      created_at: 1711953600
                      updated_at: 1711953900
                  pagination:
                    next_cursor: null
                    has_more: false
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````